Skip to content
GuidesBlogPlaygroundDashboard

List all datasets

GET/api/v1/datasets

List all datasets

ReturnsExpand Collapse
DatasetList = object { datasets }

List of all available datasets.

datasets: array of Dataset { id, inserted_at, name, 6 more }

Array of dataset metadata objects

id: string

Dataset UUID

formatuuid
inserted_at: string

Creation timestamp (UTC)

formatdate-time
name: string

Human-readable dataset name

slug: string

URL-friendly identifier

updated_at: string

Last update timestamp (UTC)

formatdate-time
attribution: optional string

Required attribution text

description: optional string

Dataset description

license: optional string

License identifier (e.g. CC-BY-4.0)

source_url: optional string

URL of the original data source

formaturi

List all datasets

curl https://plaza.fyi/api/v1/datasets \
    -H "Authorization: Bearer $PLAZA_API_KEY"
{
  "datasets": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "inserted_at": "2019-12-27T18:11:19.117Z",
      "name": "NYC Bike Lanes",
      "slug": "nyc-bike-lanes",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "attribution": "attribution",
      "description": "description",
      "license": "license",
      "source_url": "https://example.com"
    }
  ]
}
Returns Examples
{
  "datasets": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "inserted_at": "2019-12-27T18:11:19.117Z",
      "name": "NYC Bike Lanes",
      "slug": "nyc-bike-lanes",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "attribution": "attribution",
      "description": "description",
      "license": "license",
      "source_url": "https://example.com"
    }
  ]
}